// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface ListGameSessionsRequestOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.ListGameSessionsRequest)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
   * @return Whether the paginationOption field is set.
   */
  boolean hasPaginationOption();
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 1 [json_name = "paginationOption"];</code>
   * @return The paginationOption.
   */
  gg.dsepractice.chinese.v1alpha1.PaginationOption getPaginationOption();
}
